typedef struct { 	/* structure containing all information about a science window */
   int   orbit ;
   int   pid   ;
   int   pidv  ;
   float p_RA  ;
   float p_dec ;
   float p_rol ;
   float J_RA  ;
   float J_dec ;
   float accumT;
   float totcn0;
   float totcn1;
   float totcn2;
   float solut0;
   float solut1;
   int   stopc0;
   int   stopc1;
   int   stopc2;
   int   ncom2;
   float Tx0; 
   float offTx0;
   float Tx7;
   float offTx7; 
   double gtiStartIJD;
   double gtiStopIJD;
} outscw; 

typedef struct { 	/* structure containing all information about a detected source */
   float xx     ;
   float yy     ;
   float diff_x ;
   float diff_y ;
   float RA     ;
   float dec    ;
   float catRA  ;
   float catdec ;
   int   preset ;
   int   detects;
   int   s_detec;
   float px_are0;
   float px_are1;
   float px_are2;
   float flux[16];
   float fluxer[16];
   float fluxer2[16];
   float src_effic[16];
   float LC_flux[16];
   float LC_fl_err[16];
   float LC_counts[16];
   float res_pk0;
   float res_pk1;
   float res_pk2;
   float solut0;
   float solut1;
   float solut2;
   float sn[16];
   float solut  ;
} outsrc;

/*
 *  struct swg_pointing holds the variables to calculate the
 *  source positions. These were previously global variables
 *  for getRAdec, getRAdec_init, and getxy
 */

typedef struct {
   double Xcenter;
   double Ycenter;
   double Zcenter;
   double posvink;
   double j_RA;
   double j_dec;
   float  jmxRA;               /* JEM-X boresight pointing (J2000 decimal degrees) */
   float  jmxdec;              /* JEM-X boresight pointing (J2000 decimal degrees) */
   double cosvink;
   double sinvink;
   double cosph2;
   double sinph2;
   double cosj_dec;
   double sinj_dec;
   double cosj_RA;
   double sinj_RA;
   double j_posangle;
   int orbit;
   int pid;
   double INTEGRALinSKY[3][3];
   double JMXinINTEGRAL[3][3];
   double JMXinSKY[3][3]; 
} swg_pointing;

